Unit tde42r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE42R_p, DE42R_p;

function tde42r: String;

implementation

function tde42r: String;
var
M,IH,JSTART,IERR :Integer;
H,HMIN,X,EPS,P,HMAX,Y1,Y2 :Real;
BUL :Boolean;
Y :Array [0..1] of Real;
DY :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
DYP :Array [0..1] of Real;
label
_6,_7,_8,_53,_20;
begin
Result := '';  {   }
H := -0.01;
HMIN := 1.E-10;
M := 2;
X := 0.75*3.14159265359;
Y[0] := Sqrt(2.0)/2.0;
Y[1] := -Y[0];
EPS := 0.0001;
DY[0] := Y[1];
DY[1] := -Y[0];
IH := 0;
BUL := False;
JSTART := 0;
P := 100.0;
HMAX := 0.1;
_6:
DE42R(FDE42R,M,JSTART,HMIN,HMAX,EPS,P,Y,X,DY,H,BUL,DELTY,
     DF,RFN,RF,YP,DYP,IERR);
IH := IH+1;
Y1 := Sin(X);
Y2 := Cos(X);
Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f %20.16f %20.16f ',
 [X,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
if ( IH = 1 ) 
 then goto _6;
if ( IH = 5 ) 
 then goto _20;
JSTART := -1;
if ( IH = 4 ) 
 then goto _8;
if ( IH = 3 ) 
 then goto _7;
H := 0.005;
H := -H;
goto _6;
_7:
H := 0.02;
goto _6;
_8:
H := 0.01;
goto _6;
_53:
if ( IERR <> 0 ) 
 then goto _20;
_20:
UtRes('tde42r',Result);  {     tde42r.res }
exit;
end;

end.
